Bug 9253 - crackname returns a dns domain name even if there is no cracked SID
crackname returns a dns domain name even if there is no cracked SID
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 06:18 UTC by Matthieu Patou
Modified: 2012-10-15 09:54 UTC (History)
0 users

See Also:


Attachments
Proposed patch to fix the problem: do not set the domain if no SIDs (1.05 KB, patch)
2012-10-13 06:44 UTC, Matthieu Patou
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2012-10-08 06:18:49 UTC
In cracknames if there is no SID found there is no reason for the DC to return a domain name.
Comment 1 Matthieu Patou 2012-10-13 06:44:23 UTC
Created attachment 8053 [details]
Proposed patch to fix the problem: do not set the domain if no SIDs
Comment 2 Matthieu Patou 2012-10-14 21:07:41 UTC
Karolin, please pick up for rc3.

Thanks
Comment 3 Karolin Seeger 2012-10-15 09:54:50 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!